org.apache.cxf.catalog

## Class OASISCatalogManager

- java.lang.Object
- - org.apache.cxf.catalog.OASISCatalogManager

-     public class OASISCatalogManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CATALOG_DEBUG_KEY`
    `static String` | `DEFAULT_CATALOG_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OASISCatalogManager()`
    `OASISCatalogManager(Bus b)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bus` | `getBus()`
    `static OASISCatalogManager` | `getCatalogManager(Bus bus)`
    `EntityResolver` | `getEntityResolver()`
    `boolean` | `hasCatalogs()`
    `void` | `loadCatalog(URL catalogURL)`
    `void` | `loadCatalogs(ClassLoader classLoader, String name)`
    `void` | `loadContextCatalogs()`
    `void` | `loadContextCatalogs(String name)`
    `String` | `resolvePublic(String uri, String parent)`
    `String` | `resolveSystem(String sys)`
    `String` | `resolveURI(String uri)`
    `void` | `setBus(Bus bus)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CATALOG_NAME

          public static final String DEFAULT_CATALOG_NAME

      See Also:
        Constant Field Values

    - #### CATALOG_DEBUG_KEY

          public static final String CATALOG_DEBUG_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OASISCatalogManager

          public OASISCatalogManager()

    - #### OASISCatalogManager

          public OASISCatalogManager(Bus b)

  - ### Method Detail

    - #### hasCatalogs

          public boolean hasCatalogs()

    - #### getBus

          public Bus getBus()

    - #### setBus

          public void setBus(Bus bus)

    - #### loadContextCatalogs

          public void loadContextCatalogs()

    - #### loadContextCatalogs

          public final void loadContextCatalogs(String name)

    - #### loadCatalogs

          public final void loadCatalogs(ClassLoader classLoader,
                                         String name)
                                  throws IOException

      Throws:
        `IOException`

    - #### loadCatalog

          public final void loadCatalog(URL catalogURL)
                                 throws IOException

      Throws:
        `IOException`

    - #### getCatalogManager

          public static OASISCatalogManager getCatalogManager(Bus bus)

    - #### resolveSystem

          public String resolveSystem(String sys)
                               throws MalformedURLException,
                                      IOException

      Throws:
        `MalformedURLException`
        `IOException`

    - #### resolveURI

          public String resolveURI(String uri)
                            throws MalformedURLException,
                                   IOException

      Throws:
        `MalformedURLException`
        `IOException`

    - #### resolvePublic

          public String resolvePublic(String uri,
                                      String parent)
                               throws MalformedURLException,
                                      IOException

      Throws:
        `MalformedURLException`
        `IOException`

    - #### getEntityResolver

          public EntityResolver getEntityResolver()

Apache CXF